Name:			white_dune
Summary:		Linux VRML Editor
Version:		0.27
Release:		alt0.1
License:		GPL
Group:			Graphics
URL:			http://www.csv.ica.uni-stuttgart.de/vrml/dune/down.html
Packager:		Albert R. Valiev <darkstar@altlinux.ru>


Source:			%name-%version.tar.bz2

Requires:		mozilla

# Automatically added by buildreq on Tue Mar 09 2004
# BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ java-common libGLU-devel libglut-devel libjpeg-devel libpng-devel libstdc++-devel mozilla openmotif-devel xterm zlib-devel

BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ java-common 
BuildRequires: libGLU-devel libglut-devel libjpeg-devel libpng-devel 
BuildRequires: libstdc++-devel mozilla openmotif-devel xterm zlib-devel

%description
Dune is a simple tool for the creation of VRML (Virtual Reality Modelling
Language).  Dune is a weekend project that went horribly, horribly wrong.
Dune is delicious and nutritious.  Dune is fun for the whole family.

%prep
%setup -q -n %name-%version

%build

%configure --with-optimization --with-buginlesstif --without-devil --with-vrmlbrowser=mozilla --with-helpurl="/usr/share/doc/white_dune-$VERSION/docs/" --with-nurbscurveprotourl="/usr/share/misc/white_dune/NurbsCurvePROTO.wrl" --with-nurbsgroupprotourl="/usr/share/misc/white_dune/NurbsGroupPROTO.wrl" --with-nurbssurfaceprotourl="%_datadir/%name/NurbsSurfacePROTO.wrl"

%make_build 

%install

%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_man1dir
%__mkdir_p %buildroot%_datadir/white_dune
%__mkdir_p %buildroot%_docdir/%name-%version

%__install bin/dune %buildroot%_bindir/dune
%__install bin/dune4kids %buildroot%_bindir/dune4kids
%__install bin/illegal2vrml %buildroot%_bindir/illegal2vrml

%__install man/dune.1 %buildroot%_man1dir/dune.1
%__install man/illegal2vrml.1 %buildroot%_man1dir/illegal2vrml.1

%__install docs/vrml97Amendment1/NurbsCurvePROTO.wrl %buildroot%_datadir/%name/NurbsCurvePROTO.wrl
%__install docs/vrml97Amendment1/NurbsGroupPROTO.wrl %buildroot%_datadir/%name/NurbsGroupPROTO.wrl
%__install docs/vrml97Amendment1/NurbsSurfacePROTO.wrl %buildroot%_datadir/%name/NurbsSurfacePROTO.wrl
%__install docs/x3dDraft/LoadSensorPROTO.wrl %buildroot%_datadir/%name/LoadSensorPROTO.wrl

%__cp -a docs/* %buildroot/%_docdir/%name-%version/

%files

%attr(755,root,root) %_bindir/*
%attr(644,root,root) %_man1dir/*
%attr(644,root,root) %_datadir/%name/*

%doc %_docdir/%name-%version

%changelog
* Mon Mar 29 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.27-alt0.1
- Initial build of white_dune-0.27 beta88 for Sisyphus

